@echo off
echo.
if "%1"=="" goto usage
if not exist %1\nul goto nodisk
if exist %1\%2\%3\nul goto rename
if exist %1\%2\vfp.exe goto programinstalled
if not exist %1\%2\vfp.exe goto noprograminstalled
goto exit

:usage
cls
echo *********************************************************
echo Installation unsuccessful.
echo The Install command requires the following syntax:
echo install drivename: programdirectoryname workdirectoryname
echo Example: inst_usa c: vfp foxwork
echo *********************************************************
goto exit

:nodisk
cls
echo ************************************************
echo Installation aborted. %1 drive does not exist.
echo Reenter the Install command using another drive.
echo ************************************************
goto exit

:programinstalled
cls
echo Installation begun.
md %1\%2\%3
echo Copying files to %1\%2\%3...
xcopy prim_usa.exe %1\%2\%3
%1
cd %1\%2\%3
prim_usa.exe
del prim_usa.exe
echo.
echo *******************************************
echo Installation successful!
echo Your work directory is %1\%2\%3
echo *******************************************
echo.
%1
goto exit

:noprograminstalled
cls
echo Installation begun.
md %1\%2
md %1\%2\%3
echo Copying files to %1\%2\%3...
xcopy prim_usa.exe %1\%2\%3
%1
cd %1\%2\%3
prim_usa.exe
del prim_usa.exe
echo.
echo *************************************************
echo Installation successful!
echo Your work directory is %1\%2\%3
echo FoxPro is not currently installed in the
echo program directory you specified: %1\%2
echo Please be certain to install FoxPro in %1\%2
echo before proceeding to Chapter 1.
echo **************************************************
echo.
%1
goto exit

:rename
cls
echo *********************************************************
echo Installation aborted. The %1\%2\%3 work 
echo directory already exists. Please reenter the Install
echo command using another directory name.
echo Example: inst_usa %1 %2 mywork
echo *********************************************************
goto exit

:exit
;echo on
